Skip to content
Pile
Esc
navigateopen⌘Jpreview

Create support inbox view

POST/workspaces/{organizationId}/support/inbox/views
Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
filterobjectrequired
sortobject
Responses
201View created
viewobjectrequired
Show properties
idstringrequired
organizationIdstringrequired
userIdstring | nullrequired
namestringrequired
filterobjectrequired
sortobjectrequired
createdAtstring<date-time>required
updatedAtstring<date-time>required
Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST "/workspaces/string/support/inbox/views" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "string",
  "filter": {
    "property1": null,
    "property2": null
  },
  "sort": {
    "property1": null,
    "property2": null
  }
}'
Response
{
  "view": {
    "id": "string",
    "organizationId": "string",
    "userId": "string",
    "name": "string",
    "filter": {
      "property1": null,
      "property2": null
    },
    "sort": {
      "property1": null,
      "property2": null
    },
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}